%define lib_major 4
%define short_name nautilus-burn 
%define lib_name %mklibname nautilus-burn %{lib_major}

Summary: CD Burner extension for Nautilus
Name: nautilus-cd-burner
Version: 2.16.0
Release: %mkrel 1
License: GPL/LGPL
Group: Graphical desktop/GNOME
URL: http://www.gnome.org/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
# (fc) 2.10.2-3mdk enable burnproof by default
Patch3: nautilus-cd-burner-2.15.2-burnproof.patch.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: nautilus-devel >= 2.15.4
%if %mdkversion > 200600
BuildRequires: hal-devel >= 0.5.6
%endif
BuildRequires: automake1.9
BuildRequires: perl-XML-Parser
BuildRequires: intltool >= 0.35.0
BuildRequires: desktop-file-utils
Requires: cdrecord
Requires: dvd+rw-tools
Requires: nautilus
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description
nautilus-cd-burner is an extension to Nautilus that makes it easy to
write files to a CD burner.

The user uses Nautilus or another gnome-vfs aware app to copy the
files he wants to write to burn:///, and then nautilus-cd-burner is
launched in some way to write the files to the CD.

%package -n %{lib_name}
Summary:        Libraries for Nautilus CD Burner
Group:          System/Libraries

%description -n %{lib_name}
This package contains libraries used by Nautilus CD Burner.

%package -n %{lib_name}-devel
Summary:        Libraries and include files for developing nautilus cd burner component
Group:          Development/GNOME and GTK+
Requires:       %name = %{version}
Requires:	%{lib_name} = %{version}
Provides:	%{name}-devel = %{version}
provides:	lib%{name}-devel = %{version}
Provides:	%{short_name}-devel = %{version}
Provides:	lib%{short_name}-devel = %{version}
Conflicts:	%{_lib}%{short_name}0-devel
Conflicts:	%{_lib}%{short_name}2-devel

%description -n %{lib_name}-devel
This package provides the necessary development libraries and include 
files to allow you to develop nautilus components.


%prep
%setup -q
%patch3 -p1 -b .burnproof

%build

%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_menudir}

cat <<EOF > $RPM_BUILD_ROOT%{_menudir}/%{name} 
?package(%{name}):command="%{_bindir}/nautilus-cd-burner" \
needs="x11" section="System/Archiving/CD Burning" \
title="Nautilus CD Burning" \
longtitle="Nautilus CD Burning tool" icon="%{_datadir}/nautilus-cd-burner/cdspin1.png" \
startup_notify="true" \
mimetypes="application/x-cd-image" xdg="true"
EOF
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Archiving-CDBurning" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


%find_lang %{name}

# remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/gnome-vfs-2.0/modules/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post
%post_install_gconf_schemas %name
%update_desktop_database
%update_menus
%update_icon_cache hicolor

%preun
%preun_uninstall_gconf_schemas %name

%postun
%{clean_menus}
%clean_desktop_database
%clean_icon_cache hicolor

%post -n %{lib_name} -p /sbin/ldconfig 

%postun -n %{lib_name} -p /sbin/ldconfig 

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README AUTHORS NEWS ChangeLog
%config(noreplace) %{_sysconfdir}/gnome-vfs-2.0/modules/*
%{_sysconfdir}/gconf/schemas/nautilus-cd-burner.schemas
%{_bindir}/*
%{_libdir}/nautilus/extensions-1.0/*
%{_libdir}/gnome-vfs-2.0/modules/*.so
%{_libexecdir}/mapping-daemon
%{_datadir}/nautilus-cd-burner
%{_datadir}/applications/*.desktop
%_datadir/icons/hicolor/*/apps/%name.*
%{_menudir}/*

%files -n %{lib_name}
%defattr(-, root, root)
%{_libdir}/*.so.%{lib_major}*

%files -n %{lib_name}-devel
%defattr(-, root, root)
%{_libdir}/*.so
%attr(644,root,root) %{_libdir}/*.la
%{_libdir}/pkgconfig/*
%{_includedir}/*

%changelog
* Tue Sep 05 2006 Götz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- New release 2.16.0

* Tue Aug 22 2006 Götz Waschk <waschk@mandriva.org> 2.15.7-1mdv2007.0
- New release 2.15.7

* Tue Aug 08 2006 Götz Waschk <waschk@mandriva.org> 2.15.6-1mdv2007.0
- New release 2.15.6

* Tue Aug 01 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.5-2mdv2007.0
- Rebuild with latest dbus

* Tue Jul 25 2006 Götz Waschk <waschk@mandriva.org> 2.15.5-1
- New release 2.15.5

* Thu Jul 20 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.4-3mdv2007.0
- Fix xdg menu category

* Thu Jul 13 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.4-2mdv2007.0
- Rebuild with latest libgail

* Tue Jul 11 2006 Gtz Waschk <waschk@mandriva.org> 2.15.4-1mdv2007.0
- new macros
- xdg menu
- bump deps
- New release 2.15.4

* Tue Jun 13 2006 Gtz Waschk <waschk@mandriva.org> 2.15.3-2mdv2007.0
- fix major

* Tue Jun 13 2006 Gtz Waschk <waschk@mandriva.org> 2.15.3-1mdv2007.0
- drop patches 4,6
- New release 2.15.3

* Fri Jun 02 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.2-1mdv2007.0
- Release 2.15.2
- Regenerate patches 3, 4
- Remove patch2 (no longer needed)

* Tue May 30 2006 Götz Waschk <waschk@mandriva.org> 2.14.2-1mdv2007.0
- New release 2.14.2

* Fri May 19 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.1-2mdk
- Enable hal support for cooker

* Tue Apr 18 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.1-1mdk
- Release 2.14.1
- Remove patch5 (merged upstream)
- Disable hal support until 0.5.6 is available
- add conflicts to ease upgrade

* Mon Feb 27 2006 Frederic Crozat <fcrozat@mandriva.com> 2.12.3-2mdk
- Fortify preun script

* Tue Feb  7 2006 Gtz Waschk <waschk@mandriva.org> 2.12.3-1mdk
- drop merged patch 7
- New release 2.12.3

* Wed Jan 25 2006 Frederic Crozat <fcrozat@mandriva.com> 2.12.2-4mdk
- Rebuild with latest dbus
- use mkrel

* Tue Dec 06 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.2-3mdk
- Patch7: fix audio CD detection with non-MMC drive and hal disabled

* Thu Dec 01 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.2-2mdk
- BR hal-devel >= 0.5 is only supported for distrib > 2006.0

* Mon Nov 28 2005 Götz Waschk <waschk@mandriva.org> 2.12.2-1mdk
- New release 2.12.2

* Wed Oct 26 2005 Gtz Waschk <waschk@mandriva.org> 2.12.1-4mdk
- enable hal

* Tue Oct 11 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.12.1-3mdk
- add BuildRequires: intltool

* Mon Oct 10 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-2mdk
- Rebuild

* Mon Oct 10 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-1mdk
- Release 2.12.1
- Regenerate patch2 (gotz)
- Patch5: only build hal support if version >= 0.5.x
- Patch6 (Fedora): fix build with latest gcc

* Fri Sep 02 2005 Götz Waschk <waschk@mandriva.org> 2.10.2-5mdk
- rebuild to remove glitz dep

* Tue Aug 23 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 2.10.2-4mdk
- varargs fixes

* Thu Aug 18 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.2-3mdk 
- Patch3 : enable burnproof by default

* Fri Jul 29 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.2-2mdk 
- always requires dvd+rw-tools

* Thu Jun 23 2005 Gtz Waschk <waschk@mandriva.org> 2.10.2-1mdk
- New release 2.10.2

* Fri Apr 22 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-1mdk 
- Release 2.10.1 (based on Gtz Waschk package)
- remove patch3 (merged upstream)

* Fri Apr 01 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.7-2mdk 
- Patch3 (CVS): fix freeze when trying to use utf8 for mkisofs (Mdk bug #15147)

* Tue Feb 15 2005 Götz Waschk <waschk@linux-mandrake.com> 2.8.7-1mdk
- New release 2.8.7

* Fri Jan  7 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.8.6-2mdk
- rebuild for new howl

* Tue Dec  7 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.8.6-1mdk
- New release 2.8.6

* Sun Nov 21 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.8.5-2mdk
- add BuildRequires: perl-XML-Parser

* Tue Nov  9 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.8.5-1mdk
- New release 2.8.5

* Mon Oct 25 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.4-1mdk
- New release 2.8.4
- Remove patches 0, 1, 3, 4 (merged upstream)

* Fri Sep 17 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1-6mdk
- Patch4 (CVS): various bug fixes
- Fix mime association, so double-clicking on iso image launch ncb

* Wed Sep 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1-5mdk
- Patch3 (CVS): fix devfs detection

* Fri Aug 27 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1-4mdk
- Patch2: use nautilus in browser mode
- Fix menu

* Thu Jul 29 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1-3mdk
- Patch1 : fix i18n in nautilus extension

* Mon Jun  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.1-2mdk
- fix automake call
- reenable libtoolize
- rebuild for new g++

* Mon Apr 19 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.1-1mdk
- fix source location
- New release 2.6.1

* Tue Apr 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-1mdk
- Release 2.6.0 (with Gtz help)
- patch to fix library linkage
- fix file list
- don't libtoolize
- drop patch0 (merged upstream)

* Tue Dec 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.1-2mdk
- Patch0 : fix UTF-8 handling for Volume entry

* Mon Dec  8 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.1-1mdk
- fix intltool build
- new version

* Fri Nov 07 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.0-1mdk
- Release 0.6.0

* Tue Sep 09 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.3-1mdk
- Release 0.5.3

* Wed Sep 03 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.2-1mdk
- Release 0.5.2

* Mon Aug 25 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.1-1mdk
- Release 0.5.1

* Mon Aug 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.5.0-1mdk
- Release 0.5.0

* Sat Jul 19 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.4.3-2mdk
- rebuild for new ORBit2

* Mon Jun 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.4.3-1mdk
- Release 0.4.3

* Wed May 07 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.4.1-1mdk
- Release 0.4.1

* Fri Apr 25 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.4.0-2mdk
- Fix BuildRequires

* Tue Apr 15 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.4.0-1mdk
- Release 0.4.0

* Mon Jan 27 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.2-1mdk
- Release 0.3.2

* Fri Jan 17 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.1-2mdk
- Recompiled against latest openssl

* Tue Jan 14 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.1-1mdk
- Release 0.3.1

0* Fri Jan 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3-1mdk
- Release 0.3

* Wed Jan  8 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2-1mdk
- First Mandrake package


